org.eclipse.emf.compare.ide.ui.internal.configuration

## Class EMFCompareConfiguration

- java.lang.Object
- - org.eclipse.compare.CompareConfiguration
  - - org.eclipse.emf.compare.ide.ui.internal.configuration.ForwardingCompareConfiguration
    - - org.eclipse.emf.compare.ide.ui.internal.configuration.EMFCompareConfiguration

All Implemented Interfaces:
  IEMFCompareConfiguration

    public class EMFCompareConfiguration
    extends ForwardingCompareConfiguration
    implements IEMFCompareConfiguration

### Field Summary

Fields
`static String` `DISPLAY_FILTERS`
`static String` `DISPLAY_GROUP_PROVIDERS`
`static String` `DISPLAY_SAVE_ACTION`
`static String` `DISPLAY_SELECT_UNRESOLVED_DIFF_ACTIONS`

### Fields inherited from class org.eclipse.compare.CompareConfiguration

`IGNORE_WHITESPACE, MIRRORED, SHOW_PSEUDO_CONFLICTS, USE_OUTLINE_VIEW`

### Constructor Summary

Constructors
Constructor and Description
`EMFCompareConfiguration(org.eclipse.compare.CompareConfiguration compareConfiguration)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.compare.CompareConfiguration` `delegate()`
`void` `dispose()`
`AdapterFactory` `getAdapterFactory()`
`org.eclipse.swt.graphics.Image` `getAncestorImage(Object element)`
`String` `getAncestorLabel(Object element)`
`boolean` `getBooleanProperty(String key, boolean dflt)`
`Comparison` `getComparison()`
`IComparisonScope` `getComparisonScope()`
`IDiffRelationshipComputer` `getDiffRelationshipComputer()`
`ICompareEditingDomain` `getEditingDomain()`
`EMFCompare` `getEMFComparator()`
`com.google.common.eventbus.EventBus` `getEventBus()`
`org.eclipse.swt.graphics.Image` `getLeftImage(Object element)`
`String` `getLeftLabel(Object element)`
`MergeMode` `getMergePreviewMode()`
`org.eclipse.swt.graphics.Image` `getRightImage(Object element)`
`String` `getRightLabel(Object element)`
`StructureMergeViewerFilter` `getStructureMergeViewerFilter()`
`StructureMergeViewerGrouper` `getStructureMergeViewerGrouper()`
`protected void` `initStructureMergeViewerFilter(Comparison comparison, IComparisonScope comparisonScope)`
`protected void` `initStructureMergeViewerGroupProvider(Comparison comparison, IComparisonScope comparisonScope)`
`void` `setAdapterFactory(AdapterFactory adapterFactory)`
`void` `setComparisonAndScope(Comparison newComparison, IComparisonScope newComparisonScope)`
`void` `setDiffRelationshipComputer(IDiffRelationshipComputer diffRelationshipComputer)`
`void` `setEditingDomain(ICompareEditingDomain newValue)`
`void` `setEMFComparator(EMFCompare newComparator)`
`void` `setLabelProvider(Class<? extends org.eclipse.compare.structuremergeviewer.ICompareInput> inputType, org.eclipse.compare.ICompareInputLabelProvider labelProvider)`
`void` `setMergePreviewMode(MergeMode previewMergeMode)`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.configuration.ForwardingCompareConfiguration

`addPropertyChangeListener, fireChange, getContainer, getImage, getImage, getLabelProvider, getPreferenceStore, getProperty, isChangeIgnored, isEditable, isLeftEditable, isMirrored, isRightEditable, removePropertyChangeListener, setAncestorImage, setAncestorLabel, setChangeIgnored, setContainer, setDefaultLabelProvider, setLabelProvider, setLeftEditable, setLeftImage, setLeftLabel, setProperty, setRightEditable, setRightImage, setRightLabel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.internal.configuration.IEMFCompareConfiguration

`isLeftEditable, isRightEditable`

### Field Detail

#### DISPLAY_GROUP_PROVIDERS

    public static final String DISPLAY_GROUP_PROVIDERS

See Also:
  Constant Field Values

#### DISPLAY_FILTERS

    public static final String DISPLAY_FILTERS

See Also:
  Constant Field Values

#### DISPLAY_SAVE_ACTION

    public static final String DISPLAY_SAVE_ACTION

See Also:
  Constant Field Values

#### DISPLAY_SELECT_UNRESOLVED_DIFF_ACTIONS

    public static final String DISPLAY_SELECT_UNRESOLVED_DIFF_ACTIONS

See Also:
  Constant Field Values

### Constructor Detail

#### EMFCompareConfiguration

    public EMFCompareConfiguration(org.eclipse.compare.CompareConfiguration compareConfiguration)

### Method Detail

#### getEventBus

    public com.google.common.eventbus.EventBus getEventBus()

Specified by:
  `getEventBus` in interface `IEMFCompareConfiguration`
See Also:
  `IEMFCompareConfiguration.getEventBus()`

#### delegate

    protected org.eclipse.compare.CompareConfiguration delegate()

Specified by:
  `delegate` in class `ForwardingCompareConfiguration`
See Also:
  `ForwardingCompareConfiguration.delegate()`

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `ForwardingCompareConfiguration`
See Also:
  `org.eclipse.emf.compare.rcp.ui.internal.configuration.IEMFCompareConfiguration#dispose()`

#### getBooleanProperty

    public boolean getBooleanProperty(String key,
                                      boolean dflt)

Specified by:
  `getBooleanProperty` in interface `IEMFCompareConfiguration`

#### getComparison

    public Comparison getComparison()

Specified by:
  `getComparison` in interface `IEMFCompareConfiguration`

#### getEMFComparator

    public EMFCompare getEMFComparator()

Specified by:
  `getEMFComparator` in interface `IEMFCompareConfiguration`

#### getEditingDomain

    public ICompareEditingDomain getEditingDomain()

Specified by:
  `getEditingDomain` in interface `IEMFCompareConfiguration`

#### getMergePreviewMode

    public MergeMode getMergePreviewMode()

Specified by:
  `getMergePreviewMode` in interface `IEMFCompareConfiguration`

#### getAdapterFactory

    public AdapterFactory getAdapterFactory()

Specified by:
  `getAdapterFactory` in interface `IEMFCompareConfiguration`

#### getDiffRelationshipComputer

    public IDiffRelationshipComputer getDiffRelationshipComputer()

Specified by:
  `getDiffRelationshipComputer` in interface `IEMFCompareConfiguration`

#### getComparisonScope

    public IComparisonScope getComparisonScope()

Specified by:
  `getComparisonScope` in interface `IEMFCompareConfiguration`
See Also:
  `IEMFCompareConfiguration.getComparisonScope()`

#### setEMFComparator

    public void setEMFComparator(EMFCompare newComparator)

Specified by:
  `setEMFComparator` in interface `IEMFCompareConfiguration`

#### setEditingDomain

    public void setEditingDomain(ICompareEditingDomain newValue)

Specified by:
  `setEditingDomain` in interface `IEMFCompareConfiguration`

#### setComparisonAndScope

    public void setComparisonAndScope(Comparison newComparison,
                                      IComparisonScope newComparisonScope)

Specified by:
  `setComparisonAndScope` in interface `IEMFCompareConfiguration`
See Also:
  `org.eclipse.emf.compare.rcp.ui.internal.configuration.IEMFCompareConfiguration#setComparisonAndScope(org.eclipse.emf.compare.scope.IComparisonScope, org.eclipse.emf.compare.Comparison)`

#### initStructureMergeViewerGroupProvider

    protected void initStructureMergeViewerGroupProvider(Comparison comparison,
                                                         IComparisonScope comparisonScope)

#### initStructureMergeViewerFilter

    protected void initStructureMergeViewerFilter(Comparison comparison,
                                                  IComparisonScope comparisonScope)

#### setMergePreviewMode

    public void setMergePreviewMode(MergeMode previewMergeMode)

Specified by:
  `setMergePreviewMode` in interface `IEMFCompareConfiguration`

#### setAdapterFactory

    public void setAdapterFactory(AdapterFactory adapterFactory)

Specified by:
  `setAdapterFactory` in interface `IEMFCompareConfiguration`

#### setDiffRelationshipComputer

    public void setDiffRelationshipComputer(IDiffRelationshipComputer diffRelationshipComputer)

Specified by:
  `setDiffRelationshipComputer` in interface `IEMFCompareConfiguration`

#### getStructureMergeViewerGrouper

    public StructureMergeViewerGrouper getStructureMergeViewerGrouper()

Specified by:
  `getStructureMergeViewerGrouper` in interface `IEMFCompareConfiguration`
See Also:
  `IEMFCompareConfiguration.getStructureMergeViewerGrouper()`

#### getStructureMergeViewerFilter

    public StructureMergeViewerFilter getStructureMergeViewerFilter()

Specified by:
  `getStructureMergeViewerFilter` in interface `IEMFCompareConfiguration`
See Also:
  `IEMFCompareConfiguration.getStructureMergeViewerFilter()`

#### setLabelProvider

    public void setLabelProvider(Class<? extends org.eclipse.compare.structuremergeviewer.ICompareInput> inputType,
                                 org.eclipse.compare.ICompareInputLabelProvider labelProvider)

#### getLeftLabel

    public String getLeftLabel(Object element)

Overrides:
  `getLeftLabel` in class `ForwardingCompareConfiguration`

#### getLeftImage

    public org.eclipse.swt.graphics.Image getLeftImage(Object element)

Overrides:
  `getLeftImage` in class `ForwardingCompareConfiguration`

#### getRightLabel

    public String getRightLabel(Object element)

Overrides:
  `getRightLabel` in class `ForwardingCompareConfiguration`

#### getRightImage

    public org.eclipse.swt.graphics.Image getRightImage(Object element)

Overrides:
  `getRightImage` in class `ForwardingCompareConfiguration`

#### getAncestorLabel

    public String getAncestorLabel(Object element)

Overrides:
  `getAncestorLabel` in class `ForwardingCompareConfiguration`

#### getAncestorImage

    public org.eclipse.swt.graphics.Image getAncestorImage(Object element)

Overrides:
  `getAncestorImage` in class `ForwardingCompareConfiguration`